# avg

Returns the average of a set of numbers or durations

avg($arg as xs:anyAtomicType*) → xs:anyAtomicType?

Arguments
| $arg | xs:anyAtomicType* | The input sequence of numbers or durations
Result | xs:anyAtomicType?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next